/**
 * Copyright schukai GmbH and contributors 2023. All Rights Reserved.
 * Node module: @schukai/component-form
 * This file is licensed under the AGPLv3 License.
 * License text available at https://www.gnu.org/licenses/agpl-3.0.en.html
 */

/**
 * This event is fired when options are set
 *
 * @memberOf Monster.Components.Form
 * @event event:monster-options-set
 * @type {object}
 * @property {Object[]} options options
 * @property {string} options.value value
 * @property {string} options.label label
 */

/**
 * This event is fired when something is selected
 *
 * @memberOf Monster.Components.Form
 * @event event:monster-selected
 * @type {object}
 * @property {array|string} selection
 */

/**
 * This event will be fired when something will change
 *
 * @memberOf Monster.Components.Form
 * @event event:monster-change
 * @type {object}
 * @property {string} [type] event type
 * @property {string} [value] the value that was changed
 * @property {boolean} [checked] if it is a boolean value
 */

/**
 * This event will be fired when a selection is removed
 * 
 * @memberOf Monster.Components.Form
 * @event event:monster-selection-removed
 * @type {object}
 * @property {string} [type] event type
 * @property {string} [value] the value that was changed
 */

/**
 * This event will be fired when a selection is cleared
 * 
 * @memberOf Monster.Components.Form
 * @event event:monster-selection-cleared
 * @type {object}
 * @property {string} [type] event type
 */

/**
 * This event will be fired if something has changed
 *
 * @memberOf Monster.Components.Form
 * @event event:monster-changed
 * @type {object}
 * @property {string} [type] event type
 * @property {string} [value] the value that was changed
 * @property {boolean} [checked] if it is a boolean value
 **/

/**
 * content fetched event
 *
 * @memberOf Monster.Components.Form
 * @event event:monster-fetched
 * @type {object}
 * @property {string} url loaded uri
 */

/**
 * button clicked event
 *
 * @memberOf Monster.Components.Form
 * @event event:monster-button-clicked
 * @type {object}
 */
