
/**
 * Copyright schukai GmbH and contributors 2023. All Rights Reserved.
 * Node module: component-form
 * This file is licensed under the AGPLv3 License.
 * License text available at https://www.gnu.org/licenses/agpl-3.0.en.html
 */

import {addAttributeToken} from "@schukai/monster/source/dom/attributes.mjs";
import {ATTRIBUTE_ERRORMESSAGE} from "@schukai/monster/source/dom/constants.mjs";

export {MessageStateButtonStyleSheet}

/**
 * @private
 * @type {CSSStyleSheet}
 */
const MessageStateButtonStyleSheet = new CSSStyleSheet();

try {
  MessageStateButtonStyleSheet.insertRule(`
@layer messagestatebutton { 
[data-monster-role=control] [data-monster-role=button]{width:100%} 
}`, 0);
} catch (e) {
  addAttributeToken(document.getRootNode().querySelector('html'), ATTRIBUTE_ERRORMESSAGE, e + "");
}
