/**
 * Copyright schukai GmbH and contributors 2023. All Rights Reserved.
 * Node module: @schukai/monster
 * This file is licensed under the AGPLv3 License.
 * License text available at https://www.gnu.org/licenses/agpl-3.0.en.html
 */

import { Version } from "@schukai/monster/source/types/version.mjs";

export { getVersion };

let monsterVersion;

/**
 * Version of monster
 *
 * @returns {Monster.Types.Version}
 * @license AGPLv3
 * @since 2.1.0
 * @copyright schukai GmbH
 * @author schukai GmbH
 * @memberOf Monster.Components.Form
 */
function getVersion() {
    if (monsterVersion instanceof Version) {
        return monsterVersion;
    }

    /** don't touch, replaced by make with package.json version */
    monsterVersion = new Version("3.1.0");

    return monsterVersion;
}
